#!/bin/bash

PROBE_LOCATION="${1:?}"

(
# Log date to probe.err.
date -u +'%Y-%m-%d %H:%M:%S' 1>&2
./probe.py "$PROBE_LOCATION" 109.105.109.165 24215	# ndnop3 obfs4 old
./probe.py "$PROBE_LOCATION" 109.105.109.165 10527	# ndnop3 obfs4 new
./probe.py "$PROBE_LOCATION" 109.105.109.165 22		# ndnop3 ssh
./probe.py "$PROBE_LOCATION" 109.105.109.146 27668	# ndnop4 obfs4
./probe.py "$PROBE_LOCATION" 109.105.109.146 22		# ndnop4 ssh
./probe.py "$PROBE_LOCATION" 109.105.109.147 13764	# ndnop5 obfs4
./probe.py "$PROBE_LOCATION" 178.209.52.110 443		# schanenlied obfs4
./probe.py "$PROBE_LOCATION" 178.209.52.110 22		# schanenlied ssh
./probe.py "$PROBE_LOCATION" 83.212.101.3 41213		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50000		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50001		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50002		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50003		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50004		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50005		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50006		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50007		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50008		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 50009		# LeifEricson obfs4
./probe.py "$PROBE_LOCATION" 83.212.101.3 80		# LeifEricson obfs3
./probe.py "$PROBE_LOCATION" 83.212.101.3 22		# LeifEricson ssh
./probe.py "$PROBE_LOCATION" 83.212.101.3 443		# LeifEricson scramblesuit
./probe.py "$PROBE_LOCATION" 104.131.108.182 56880	# mercurius4 obfs4
./probe.py "$PROBE_LOCATION" 192.240.101.106 80		# fdctorbridge01 fte
./probe.py "$PROBE_LOCATION" 198.245.60.50 443		# riemann obfs4
./probe.py "$PROBE_LOCATION" 198.245.60.50 22		# riemann ssh
./probe.py "$PROBE_LOCATION" 192.99.11.54 443		# noether obfs4
./probe.py "$PROBE_LOCATION" 192.99.11.54 22		# noether ssh
./probe.py "$PROBE_LOCATION" 154.35.22.9 60873		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 1984		# GreenBelt obfs4 alt 1984
./probe.py "$PROBE_LOCATION" 154.35.22.9 443		# GreenBelt obfs4 alt 443
./probe.py "$PROBE_LOCATION" 154.35.22.9 80		# GreenBelt obfs4 alt 80
./probe.py "$PROBE_LOCATION" 154.35.22.9 5881		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 7013		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 12166		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 14303		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 25427		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 29733		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 40782		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 42487		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 48869		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.9 50819		# GreenBelt obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 41835		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 1984		# Mosaddegh obfs4 alt 1984
./probe.py "$PROBE_LOCATION" 154.35.22.10 443		# Mosaddegh obfs4 alt 443
./probe.py "$PROBE_LOCATION" 154.35.22.10 80		# Mosaddegh obfs4 alt 80
./probe.py "$PROBE_LOCATION" 154.35.22.10 2934		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 9332		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 15937		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 24338		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 26336		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 26703		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 40348		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 46345		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 55622		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 56472		# Mosaddegh obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.10 22		# Mosaddegh ssh
./probe.py "$PROBE_LOCATION" 154.35.22.11 49868		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 1984		# MaBishomarim obfs4 alt 1984
./probe.py "$PROBE_LOCATION" 154.35.22.11 443		# MaBishomarim obfs4 alt 443
./probe.py "$PROBE_LOCATION" 154.35.22.11 80		# MaBishomarim obfs4 alt 80
./probe.py "$PROBE_LOCATION" 154.35.22.11 2413		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 7920		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 16488		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 17613		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 36652		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 44594		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 54823		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 58028		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 60166		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 64841		# MaBishomarim obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.11 22		# MaBishomarim ssh
./probe.py "$PROBE_LOCATION" 154.35.22.12 80		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 443		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 1984		# JonbesheSabz obfs4 alt 1984
./probe.py "$PROBE_LOCATION" 154.35.22.12 1894		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 4148		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 4304		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 13023		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 26715		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 26919		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 34939		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 36882		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 40033		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 44899		# JonbesheSabz obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.12 22		# JonbesheSabz ssh
./probe.py "$PROBE_LOCATION" 154.35.22.13 80		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 443		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 1984		# Azadi obfs4 alt 1984
./probe.py "$PROBE_LOCATION" 154.35.22.13 4319		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 6041		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 16815		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 17878		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 29243		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 30956		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 39004		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 50681		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 59765		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 62623		# Azadi obfs4
./probe.py "$PROBE_LOCATION" 154.35.22.13 22		# Azadi ssh
./probe.py "$PROBE_LOCATION" 192.95.36.142 443		# Lisbeth obfs4
./probe.py "$PROBE_LOCATION" 192.95.36.142 2200		# Lisbeth ssh
./probe.py "$PROBE_LOCATION" 85.17.30.79 22		# NX01 ssh
./probe.py "$PROBE_LOCATION" 85.17.30.79 443		# NX01 obfs4
./probe.py "$PROBE_LOCATION" 38.229.1.77 80		# cymrubridge30 obfs4
./probe.py "$PROBE_LOCATION" 38.229.1.78 80		# cymrubridge31 obfs4
./probe.py "$PROBE_LOCATION" 38.229.33.82 80		# cymrubridge32 obfs4
./probe.py "$PROBE_LOCATION" 38.229.33.83 80		# cymrubridge33 obfs4
./probe.py "$PROBE_LOCATION" 37.218.240.34 80		# frosty obfs4
./probe.py "$PROBE_LOCATION" 37.218.240.34 443		# frosty obfs4
./probe.py "$PROBE_LOCATION" 37.218.240.34 40035	# frosty obfs4
./probe.py "$PROBE_LOCATION" 37.218.240.37 80		# camille obfs4
./probe.py "$PROBE_LOCATION" 37.218.240.37 443		# camille obfs4
./probe.py "$PROBE_LOCATION" 37.218.240.37 42779	# camille obfs4
./probe.py "$PROBE_LOCATION" 37.218.245.14 80		# dragon obfs4
./probe.py "$PROBE_LOCATION" 37.218.245.14 443		# dragon obfs4
./probe.py "$PROBE_LOCATION" 37.218.245.14 38224	# dragon obfs4
./probe.py "$PROBE_LOCATION" 37.218.245.1 80		# dimple obfs4
./probe.py "$PROBE_LOCATION" 37.218.245.1 443		# dimple obfs4
./probe.py "$PROBE_LOCATION" 37.218.245.1 44769		# dimple obfs4
./probe.py "$PROBE_LOCATION" 192.30.252.130 443		# github.com https (known reachable)
./probe.py "$PROBE_LOCATION" 192.30.252.130 444		# github.com port 444 (known timeout)
./probe.py "$PROBE_LOCATION" 192.30.253.112 443		# github.com https (known reachable)
./probe.py "$PROBE_LOCATION" 192.30.253.112 444		# github.com port 444 (known timeout)
) 1>>probe.csv 2>>probe.err
